package com.fjhx.xmhjc.entity.topic.vo;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.xmhjc.entity.topic.po.TopicReplies;
import lombok.Getter;
import lombok.Setter;

/**
 * 主题回复列表查询返回值实体
 *
 * @author hj
 * @since 2023-11-20
 */
@Getter
@Setter
public class TopicRepliesVo extends TopicReplies {
    /**
     * 回复人名称
     */
    private String authorName;

    /**
     * 被回复人名称
     */
    private String citeAuthorName;

    private Page<TopicRepliesVo> floorPage;

    private Integer num;
}
