package com.fjhx.xmhjc.entity.about.dto;

import com.fjhx.file.entity.ObsFile;
import com.fjhx.xmhjc.entity.about.po.AboutUsBaseInfo;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 关于我们-基础信息新增编辑入参实体
 *
 * @author lqh
 * @since 2023-11-12
 */
@Getter
@Setter
public class AboutUsBaseInfoDto extends AboutUsBaseInfo {

    /**
     * 公司简介图片
     */
    List<ObsFile> companyCoverList;

    /**
     * 公众号二维码
     */
    List<ObsFile> gzhQrCodeList;



}
