package com.fjhx.xmhjc.entity.topic.po;

import com.ruoyi.common.core.domain.BasePo;
import com.baomidou.mybatisplus.annotation.TableName;
import java.util.Date;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 内容主题
 * </p>
 *
 * @author hj
 * @since 2023-11-20
 */
@Getter
@Setter
@TableName("topic_content")
public class TopicContent extends BasePo {

    private String title;

    /**
     * 概要
     */
    private String outline;

    private String type;

    /**
     * 是否置顶
     */
    private String toping;
    private String content;

    private Long author;

    private Integer views;

}
